Loading...
Searching...
No Matches
volk_32fc_s32fc_rotator2puppet_32fc.h File Reference
`#include <stdio.h>`
`#include <volk/volk_32fc_s32fc_x2_rotator2_32fc.h>`
`#include <volk/volk_complex.h>`
`#include <arm_neon.h>`
`#include <volk/volk_neon_intrinsics.h>`
`#include <immintrin.h>`

Go to the source code of this file.

## Functions

static void | volk_32fc_s32fc_rotator2puppet_32fc_generic (lv_32fc_t *outVector, const lv_32fc_t *inVector, const lv_32fc_t *phase_inc, unsigned int num_points)
static void | volk_32fc_s32fc_rotator2puppet_32fc_neon (lv_32fc_t *outVector, const lv_32fc_t *inVector, const lv_32fc_t *phase_inc, unsigned int num_points)
static void | volk_32fc_s32fc_rotator2puppet_32fc_a_avx (lv_32fc_t *outVector, const lv_32fc_t *inVector, const lv_32fc_t *phase_inc, unsigned int num_points)
static void | volk_32fc_s32fc_rotator2puppet_32fc_u_avx (lv_32fc_t *outVector, const lv_32fc_t *inVector, const lv_32fc_t *phase_inc, unsigned int num_points)

## Function Documentation

## volk_32fc_s32fc_rotator2puppet_32fc_a_avx()

void volk_32fc_s32fc_rotator2puppet_32fc_a_avx | ( | lv_32fc_t * | outVector,
|  | const lv_32fc_t * | inVector,
|  | const lv_32fc_t * | phase_inc,
|  | unsigned int | num_points )

inline static

## volk_32fc_s32fc_rotator2puppet_32fc_generic()

void volk_32fc_s32fc_rotator2puppet_32fc_generic | ( | lv_32fc_t * | outVector,
|  | const lv_32fc_t * | inVector,
|  | const lv_32fc_t * | phase_inc,
|  | unsigned int | num_points )

inline static

## volk_32fc_s32fc_rotator2puppet_32fc_neon()

void volk_32fc_s32fc_rotator2puppet_32fc_neon | ( | lv_32fc_t * | outVector,
|  | const lv_32fc_t * | inVector,
|  | const lv_32fc_t * | phase_inc,
|  | unsigned int | num_points )

inline static

## volk_32fc_s32fc_rotator2puppet_32fc_u_avx()

void volk_32fc_s32fc_rotator2puppet_32fc_u_avx | ( | lv_32fc_t * | outVector,
|  | const lv_32fc_t * | inVector,
|  | const lv_32fc_t * | phase_inc,
|  | unsigned int | num_points )

inline static